> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read File

> Read file contents from the sprite filesystem. Returns raw file bytes.



## OpenAPI

````yaml /sprites/api/openapi.json get /v1/sprites/{name}/fs/read
openapi: 3.1.0
info:
  title: Sprites API
  version: 0.1.12
  x-sprite-env-version: v0.0.1-rc48
servers:
  - url: https://api.sprites.dev
security: []
paths:
  /v1/sprites/{name}/fs/read:
    get:
      tags:
        - Filesystem
      summary: Read File
      description: Read file contents from the sprite filesystem. Returns raw file bytes.
      operationId: sprite_env_read__file
      parameters:
        - in: path
          name: name
          required: true
          schema:
            type: string
        - description: Path to the file to read
          in: query
          name: path
          required: true
          schema:
            description: Path to the file to read
            type: string
        - description: Working directory for resolving relative paths
          in: query
          name: workingDir
          required: true
          schema:
            description: Working directory for resolving relative paths
            type: string
      responses:
        '200':
          description: Success
        '404':
          description: Not Found - Resource not found
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````